<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:49 JST 2014 -->
<TITLE>
ZooKeeperServerMXBean
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ZooKeeperServerMXBean";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMain.html" title="class in org.apache.zookeeper.server"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooTrace.html" title="class in org.apache.zookeeper.server"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/zookeeper/server/ZooKeeperServerMXBean.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ZooKeeperServerMXBean.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper.server</FONT>
<BR>
Interface ZooKeeperServerMXBean</H2>
<DL>
<DT><B>All Known Subinterfaces:</B> <DD><A HREF="../../../../org/apache/zookeeper/server/quorum/FollowerMXBean.html" title="interface in org.apache.zookeeper.server.quorum">FollowerMXBean</A>, <A HREF="../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html" title="interface in org.apache.zookeeper.server.quorum">LeaderMXBean</A>, <A HREF="../../../../org/apache/zookeeper/server/quorum/ObserverMXBean.html" title="interface in org.apache.zookeeper.server.quorum">ObserverMXBean</A></DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../org/apache/zookeeper/server/quorum/FollowerBean.html" title="class in org.apache.zookeeper.server.quorum">FollowerBean</A>, <A HREF="../../../../org/apache/zookeeper/server/quorum/LeaderBean.html" title="class in org.apache.zookeeper.server.quorum">LeaderBean</A>, <A HREF="../../../../org/apache/zookeeper/server/ObserverBean.html" title="class in org.apache.zookeeper.server">ObserverBean</A>, <A HREF="../../../../org/apache/zookeeper/server/quorum/ReadOnlyBean.html" title="class in org.apache.zookeeper.server.quorum">ReadOnlyBean</A>, <A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html" title="class in org.apache.zookeeper.server">ZooKeeperServerBean</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <B>ZooKeeperServerMXBean</B></DL>
</PRE>

<P>
ZooKeeper server MBean.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getAvgRequestLatency()">getAvgRequestLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getClientPort()">getClientPort</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxClientCnxnsPerHost()">getMaxClientCnxnsPerHost</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current maxClientCnxns allowed from a particular host</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxRequestLatency()">getMaxRequestLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxSessionTimeout()">getMaxSessionTimeout</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current maxSessionTimeout of the server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMinRequestLatency()">getMinRequestLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMinSessionTimeout()">getMinSessionTimeout</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current minSessionTimeout of the server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getNumAliveConnections()">getNumAliveConnections</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getOutstandingRequests()">getOutstandingRequests</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getPacketsReceived()">getPacketsReceived</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getPacketsSent()">getPacketsSent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getStartTime()">getStartTime</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getTickTime()">getTickTime</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current TickTime of server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getVersion()">getVersion</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetLatency()">resetLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reset min/avg/max latency statistics</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetMaxLatency()">resetMaxLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reset max latency statistics only.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetStatistics()">resetStatistics</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reset packet and latency statistics</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMaxClientCnxnsPerHost(int)">setMaxClientCnxnsPerHost</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set maxClientCnxns allowed from a particular host</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMaxSessionTimeout(int)">setMaxSessionTimeout</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set maxSessionTimeout of server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMinSessionTimeout(int)">setMinSessionTimeout</A></B>(int&nbsp;min)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set minSessionTimeout of server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setTickTime(int)">setTickTime</A></B>(int&nbsp;tickTime)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set TickTime of server in milliseconds</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getClientPort()"><!-- --></A><H3>
getClientPort</H3>
<PRE>
java.lang.String <B>getClientPort</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the server socket port number</DL>
</DD>
</DL>
<HR>

<A NAME="getVersion()"><!-- --></A><H3>
getVersion</H3>
<PRE>
java.lang.String <B>getVersion</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the zookeeper server version</DL>
</DD>
</DL>
<HR>

<A NAME="getStartTime()"><!-- --></A><H3>
getStartTime</H3>
<PRE>
java.lang.String <B>getStartTime</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>time the server was started</DL>
</DD>
</DL>
<HR>

<A NAME="getMinRequestLatency()"><!-- --></A><H3>
getMinRequestLatency</H3>
<PRE>
long <B>getMinRequestLatency</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>min request latency in ms</DL>
</DD>
</DL>
<HR>

<A NAME="getAvgRequestLatency()"><!-- --></A><H3>
getAvgRequestLatency</H3>
<PRE>
long <B>getAvgRequestLatency</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>average request latency in ms</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxRequestLatency()"><!-- --></A><H3>
getMaxRequestLatency</H3>
<PRE>
long <B>getMaxRequestLatency</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>max request latency in ms</DL>
</DD>
</DL>
<HR>

<A NAME="getPacketsReceived()"><!-- --></A><H3>
getPacketsReceived</H3>
<PRE>
long <B>getPacketsReceived</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>number of packets received so far</DL>
</DD>
</DL>
<HR>

<A NAME="getPacketsSent()"><!-- --></A><H3>
getPacketsSent</H3>
<PRE>
long <B>getPacketsSent</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>number of packets sent so far</DL>
</DD>
</DL>
<HR>

<A NAME="getOutstandingRequests()"><!-- --></A><H3>
getOutstandingRequests</H3>
<PRE>
long <B>getOutstandingRequests</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>number of outstanding requests.</DL>
</DD>
</DL>
<HR>

<A NAME="getTickTime()"><!-- --></A><H3>
getTickTime</H3>
<PRE>
int <B>getTickTime</B>()</PRE>
<DL>
<DD>Current TickTime of server in milliseconds
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setTickTime(int)"><!-- --></A><H3>
setTickTime</H3>
<PRE>
void <B>setTickTime</B>(int&nbsp;tickTime)</PRE>
<DL>
<DD>Set TickTime of server in milliseconds
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxClientCnxnsPerHost()"><!-- --></A><H3>
getMaxClientCnxnsPerHost</H3>
<PRE>
int <B>getMaxClientCnxnsPerHost</B>()</PRE>
<DL>
<DD>Current maxClientCnxns allowed from a particular host
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxClientCnxnsPerHost(int)"><!-- --></A><H3>
setMaxClientCnxnsPerHost</H3>
<PRE>
void <B>setMaxClientCnxnsPerHost</B>(int&nbsp;max)</PRE>
<DL>
<DD>Set maxClientCnxns allowed from a particular host
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMinSessionTimeout()"><!-- --></A><H3>
getMinSessionTimeout</H3>
<PRE>
int <B>getMinSessionTimeout</B>()</PRE>
<DL>
<DD>Current minSessionTimeout of the server in milliseconds
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMinSessionTimeout(int)"><!-- --></A><H3>
setMinSessionTimeout</H3>
<PRE>
void <B>setMinSessionTimeout</B>(int&nbsp;min)</PRE>
<DL>
<DD>Set minSessionTimeout of server in milliseconds
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxSessionTimeout()"><!-- --></A><H3>
getMaxSessionTimeout</H3>
<PRE>
int <B>getMaxSessionTimeout</B>()</PRE>
<DL>
<DD>Current maxSessionTimeout of the server in milliseconds
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxSessionTimeout(int)"><!-- --></A><H3>
setMaxSessionTimeout</H3>
<PRE>
void <B>setMaxSessionTimeout</B>(int&nbsp;max)</PRE>
<DL>
<DD>Set maxSessionTimeout of server in milliseconds
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetStatistics()"><!-- --></A><H3>
resetStatistics</H3>
<PRE>
void <B>resetStatistics</B>()</PRE>
<DL>
<DD>Reset packet and latency statistics
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetLatency()"><!-- --></A><H3>
resetLatency</H3>
<PRE>
void <B>resetLatency</B>()</PRE>
<DL>
<DD>Reset min/avg/max latency statistics
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetMaxLatency()"><!-- --></A><H3>
resetMaxLatency</H3>
<PRE>
void <B>resetMaxLatency</B>()</PRE>
<DL>
<DD>Reset max latency statistics only.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumAliveConnections()"><!-- --></A><H3>
getNumAliveConnections</H3>
<PRE>
long <B>getNumAliveConnections</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>number of alive client connections</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMain.html" title="class in org.apache.zookeeper.server"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooTrace.html" title="class in org.apache.zookeeper.server"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/zookeeper/server/ZooKeeperServerMXBean.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ZooKeeperServerMXBean.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
